#pragma once
#include "Unit.h"

class Player : public Unit
{
public:
	Item* _throw;

	Player(void);
	Player(UnitTemplate* u, cocos2d::Vec2 position, unsigned team, cocos2d::Node* parent);
	~Player(void);

	float getRatio();
	int getAP();

	bool UpdateThrow(std::vector<Item*>* items);
	virtual void Attack(unsigned type);
};

